PETSc version 3.15.5
Fix/Edit manual page

# DMPlexGenerate

Generates a mesh.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGenerate(DM boundary, const char name[], PetscBool interpolate, DM *mesh)

Not Collective

### Input Parameters

| boundary | - The DMPlex boundary object
| name | - The mesh generation package name
| interpolate | - Flag to create intermediate mesh elements

### Output Parameter

| mesh | - The DMPlex object

### Options Database

| -dm_plex_generate <name> | - package to generate mesh, for example, triangle, ctetgen or tetgen
| -dm_plex_generator <name> | - package to generate mesh, for example, triangle, ctetgen or tetgen (deprecated)

### See Also

DMPlexCreate(), DMRefine()

### Level

intermediate

### Location

src/dm/impls/plex/plexgenerate.c

### Examples

src/ts/tutorials/ex45.c.html

### Implementations

DMPlexGenerate_CTetgen in src/dm/impls/plex/generators/ctetgen/ctetgenerate.c
DMPlexGenerate_Tetgen in src/dm/impls/plex/generators/tetgen/tetgenerate.cxx
DMPlexGenerate_Triangle in src/dm/impls/plex/generators/triangle/trigenerate.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages